<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="d32a37a0bae69e21" weblate-flags="read-only">
        <source>The application layer</source>
        <target state="translated">The application layer</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">6</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6b43f1e2711b8ad6" weblate-flags="read-only">
        <source>Networked applications rely on the transport service. As explained earlier, there are two main types of transport services :</source>
        <target state="translated">Networked applications rely on the transport service. As explained earlier, there are two main types of transport services :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">8</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f04c5295881b7d42" weblate-flags="read-only">
        <source>the `connectionless` service</source>
        <target state="translated">the `connectionless` service</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="51f6ef75b0295d40" weblate-flags="read-only">
        <source>the `connection-oriented` or `byte-stream` service</source>
        <target state="translated">the `connection-oriented` or `byte-stream` service</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">11</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d581020579dd89ea" weblate-flags="read-only">
        <source>The connectionless service allows applications to easily exchange messages or Service Data Units. On the Internet, this service is provided by the UDP protocol that will be explained in the next chapter. The connectionless transport service on the Internet is unreliable, but is able to detect transmission errors. This implies that an application will not receive data that has been corrupted due to transmission errors.</source>
        <target state="translated">The connectionless service allows applications to easily exchange messages or Service Data Units. On the Internet, this service is provided by the UDP protocol that will be explained in the next chapter. The connectionless transport service on the Internet is unreliable, but is able to detect transmission errors. This implies that an application will not receive data that has been corrupted due to transmission errors.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="161eb9459b6ad958" weblate-flags="read-only">
        <source>The connectionless transport service allows networked application to exchange messages. Several networked applications may be running at the same time on a single host. Each of these applications must be able to exchange SDUs with remote applications. To enable these exchanges of SDUs, each networked application running on a host is identified by the following information :</source>
        <target state="translated">The connectionless transport service allows networked application to exchange messages. Several networked applications may be running at the same time on a single host. Each of these applications must be able to exchange SDUs with remote applications. To enable these exchanges of SDUs, each networked application running on a host is identified by the following information :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">15</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c71847d2216777d0" weblate-flags="read-only">
        <source>the `host` on which the application is running</source>
        <target state="translated">the `host` on which the application is running</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">17</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="69e979fdb4488bbb" weblate-flags="read-only">
        <source>the `port number` on which the application `listens` for SDUs</source>
        <target state="translated">the `port number` on which the application `listens` for SDUs</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e8ef83b47768554e" weblate-flags="read-only">
        <source>On the Internet, the `port number` is an integer and the `host` is identified by its network address. There are two types of Internet addresses :</source>
        <target state="translated">On the Internet, the `port number` is an integer and the `host` is identified by its network address. There are two types of Internet addresses :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">20</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ae5a5ca30bd8b552" weblate-flags="read-only">
        <source>`IP version 4` addresses that are 32 bits wide</source>
        <target state="translated">`IP version 4` addresses that are 32 bits wide</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">22</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e2887dfb0905719e" weblate-flags="read-only">
        <source>`IP version 6` addresses that are 128 bits wide</source>
        <target state="translated">`IP version 6` addresses that are 128 bits wide</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d3e346ae1b114632" weblate-flags="read-only">
        <source>IPv4 addresses are usually represented by using a dotted decimal representation where each decimal number corresponds to one byte of the address, e.g. `203.0.113.56`. IPv6 addresses are usually represented as a set of hexadecimal numbers separated by semicolons, e.g. `2001:db8:3080:2:217:f2ff:fed6:65c0`. Today, most Internet hosts have one IPv4 address. A small fraction of them also have an IPv6 address. In the future, we can expect that more and more hosts will have IPv6 addresses and that some of them will not have an IPv4 address anymore. A host that only has an IPv4 address cannot communicate with a host having only an IPv6 address. The figure below illustrates two applications that are using the datagram service provided by UDP on hosts that are using IPv4 addresses.</source>
        <target state="translated">IPv4 addresses are usually represented by using a dotted decimal representation where each decimal number corresponds to one byte of the address, e.g. `203.0.113.56`. IPv6 addresses are usually represented as a set of hexadecimal numbers separated by semicolons, e.g. `2001:db8:3080:2:217:f2ff:fed6:65c0`. Today, most Internet hosts have one IPv4 address. A small fraction of them also have an IPv6 address. In the future, we can expect that more and more hosts will have IPv6 addresses and that some of them will not have an IPv4 address anymore. A host that only has an IPv4 address cannot communicate with a host having only an IPv6 address. The figure below illustrates two applications that are using the datagram service provided by UDP on hosts that are using IPv4 addresses.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="322acc74f9d3b081" weblate-flags="read-only">
        <source>Textual representation of IPv6 addresses</source>
        <target state="translated">Textual representation of IPv6 addresses</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">47</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="30e5948a6e61f4f2" weblate-flags="read-only">
        <source>It is sometimes necessary to write IPv6 addresses in text format, e.g. when manually configuring addresses or for documentation purposes. The preferred format for writing IPv6 addresses is `x:x:x:x:x:x:x:x`, where the `x` 's are hexadecimal digits representing the eight 16-bit parts of the address. Here are a few examples of IPv6 addresses :</source>
        <target state="translated">It is sometimes necessary to write IPv6 addresses in text format, e.g. when manually configuring addresses or for documentation purposes. The preferred format for writing IPv6 addresses is `x:x:x:x:x:x:x:x`, where the `x` 's are hexadecimal digits representing the eight 16-bit parts of the address. Here are a few examples of IPv6 addresses :</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">49</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ff356c5010ab79c4" weblate-flags="read-only">
        <source>`abcd:ef01:2345:6789:abcd:ef01:2345:6789`</source>
        <target state="translated">`abcd:ef01:2345:6789:abcd:ef01:2345:6789`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">51</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6e7999ea1c4644db" weblate-flags="read-only">
        <source>`2001:db8:0:0:8:800:200c:417a`</source>
        <target state="translated">`2001:db8:0:0:8:800:200c:417a`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0fe0c548aed83e26" weblate-flags="read-only">
        <source>`fe80:0:0:0:219:e3ff:fed7:1204`</source>
        <target state="translated">`fe80:0:0:0:219:e3ff:fed7:1204`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">53</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="235641e94cdd71da" weblate-flags="read-only">
        <source>IPv6 addresses often contain a long sequence of bits set to `0`. In this case, a compact notation has been defined. With this notation, `::` is used to indicate one or more groups of 16 bits blocks containing only bits set to `0`. For example,</source>
        <target state="translated">IPv6 addresses often contain a long sequence of bits set to `0`. In this case, a compact notation has been defined. With this notation, `::` is used to indicate one or more groups of 16 bits blocks containing only bits set to `0`. For example,</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">56</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0808870b0f62ba32" weblate-flags="read-only">
        <source>`2001:db8:0:0:8:800:200c:417a` is represented as  `2001:db8::8:800:200c:417a`</source>
        <target state="translated">`2001:db8:0:0:8:800:200c:417a` is represented as  `2001:db8::8:800:200c:417a`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">58</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5f2ae6c177c33cbf" weblate-flags="read-only">
        <source>`ff01:0:0:0:0:0:0:101`   is represented as `ff01::101`</source>
        <target state="translated">`ff01:0:0:0:0:0:0:101`   is represented as `ff01::101`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">59</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7fa0ac734386a8ec" weblate-flags="read-only">
        <source>`0:0:0:0:0:0:0:1` is represented as `::1`</source>
        <target state="translated">`0:0:0:0:0:0:0:1` is represented as `::1`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">60</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a323b7cbc7ae984f" weblate-flags="read-only">
        <source>`0:0:0:0:0:0:0:0` is represented as `\:\:`</source>
        <target state="translated">`0:0:0:0:0:0:0:0` is represented as `\:\:`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">61</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0a2d3052994556cc" weblate-flags="read-only">
        <source>The second transport service is the connection-oriented service. On the Internet, this service is often called the `byte-stream service` as it creates a reliable byte stream between the two applications that are linked by a transport connection. Like the datagram service, the networked applications that use the byte-stream service are identified by the host on which they run and a port number. These hosts can be identified by an address or a name. The figure below illustrates two applications that are using the byte-stream service provided by the TCP protocol on IPv6 hosts. The byte stream service provided by TCP is reliable and bidirectional.</source>
        <target state="translated">The second transport service is the connection-oriented service. On the Internet, this service is often called the `byte-stream service` as it creates a reliable byte stream between the two applications that are linked by a transport connection. Like the datagram service, the networked applications that use the byte-stream service are identified by the host on which they run and a port number. These hosts can be identified by an address or a name. The figure below illustrates two applications that are using the byte-stream service provided by the TCP protocol on IPv6 hosts. The byte stream service provided by TCP is reliable and bidirectional.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">../../protocols/transport-service.rst</context>
          <context context-type="linenumber">65</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
